#ifndef _1wire_h_

#define _1wire_h_

#define MATCH_ROM		0x55

#define SKIP_ROM		0xCC

#define SEARCH_ROM	0xF0

#define DS18S20_ID 	0x10

#define DS18B20_ID 	0x28

#define DS1822_ID  	0x22

#define CONVERT_T		0x44		// DS1820 commands

#define READ			0xBE

#define WRITE			0x4E

#define EE_WRITE		0x48

#define EE_RECALL		0xB8

#define SEARCH_FIRST	0xFF		// start new search

#define PRESENCE_ERR	0xFF

#define DATA_ERR		0xFE

#define LAST_DEVICE	0x00		// last device found

//			0x01 ... 0x40: continue searching

#ifndef W1_PIN

// benoetigt von w1_reset() in 1wire.c

// benoetigt von main() in main_jar.c

	//1

	//	//	Aufruf von w1_reset(1);		

// benoetigt von w1_rom_search() in 1wire.c

	//5

	//if( w1_reset(ds18) )

// benoetigt von w1_command() in 1wire.c

// benoetigt von w1_bit_io()  in 1wire.c

	//	Aufruf von w1_byte_wr()

	//	Aufruf von w1_byte_rd()

#define W1_DDR			DDRA		// DDR  		for DS18B20

#define W1_OUT			PORTA		// PORT 		for DS18B20

#define W1_PIN			PA2		// PIN 		for DS18B20_IN

#define W1_IN			PINA

#define W2_DDR			DDRC		// DDR  		for DS18B20

#define W2_OUT			PORTC		// PORT 		for DS18B20

#define W2_PIN			PC2		// PIN 		for DS18B20_IN

#define W2_IN			PINC

#endif

#ifndef MY_TYPES_H

	#include "..\my_types.h"

#endif

UBYTE w1_reset(unsigned char);

UBYTE w1_byte_wr( UBYTE, unsigned char );

UBYTE w1_byte_rd( unsigned char );

UBYTE w1_rom_search( UBYTE, UBYTE *, unsigned char );

void w1_command( UBYTE, UBYTE *, unsigned char );

#endif

